Bug 735151 - (rocs) Review Request: rocs - Graph Theory IDE
Review Request: rocs - Graph Theory IDE
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Radek Novacek
Fedora Extras Quality Assurance
:
Depends On: libkdeedu
Blocks: kde-reviews
  Show dependency treegraph
 
Reported: 2011-09-01 11:37 EDT by Rex Dieter
Modified: 2011-09-26 10:30 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-09-26 10:30:05 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
rnovacek: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Comment 1 Clément DAVID 2011-09-18 09:40:13 EDT
Just a remark before a formal review. Building and installing is fine but launching rocs failed with :
"A KDE Text Editor could not be found, 
 please, check your installation"

Installing kate-part solve this problem.
Comment 2 Rex Dieter 2011-09-18 13:49:12 EDT
http://rdieter.fedorapeople.org/rpms/kdeedu/rocs.specSpec URL: 
SRPM URL:
http://rdieter.fedorapeople.org/rpms/kdeedu/rocs-4.7.1-1.fc15.src.rpm

%changelog
* Sun Sep 18 2011 Rex Dieter <rdieter@fedoraproject.org> 4.7.1-1
- Requires: kate-part
- 4.7.1
Comment 3 Radek Novacek 2011-09-23 03:27:50 EDT
Name: ok
License: some files are GPLv3+, so license in spec should probably be GPLv3+ too.
Source: ok
BRs/Reqs: ok
Macros used consistently: ok
ldconfig: ok
Desktop file validations: ok
Locales: ok
Docs: ok
Devel: ok
Files: ok
Build: ok
rpmlint: upstream should fix the incorrect-fsf-address in COPYING
rocs.x86_64: E: incorrect-fsf-address /usr/share/doc/rocs-4.7.1/COPYING
rocs.x86_64: E: script-without-shebang /usr/share/applications/kde4/rocs.desktop
rocs.x86_64: W: no-manual-page-for-binary rocs
rocs-libs.x86_64: W: spelling-error Summary(en_US) Runtime -> Run time, Run-time, Rudiment
rocs-libs.x86_64: W: spelling-error %description -l en_US Runtime -> Run time, Run-time, Rudiment
rocs-libs.x86_64: W: no-documentation
rocs-devel.x86_64: W: no-documentation
Comment 4 Rex Dieter 2011-09-23 11:19:17 EDT
http://rdieter.fedorapeople.org/rpms/kdeedu/rocs.specSpec URL: 
SRPM URL:
http://rdieter.fedorapeople.org/rpms/kdeedu/rocs-4.7.1-3.fc15.src.rpm

%changelog
* Fri Sep 23 2011 Rex Dieter <rdieter@fedoraproject.org> 4.7.1-3
- License: GPLv3+
Comment 5 Radek Novacek 2011-09-26 02:40:45 EDT
Thanks for fixing the issues, setting fedora-review+.
Comment 6 Rex Dieter 2011-09-26 09:05:03 EDT
New Package SCM Request
=======================
Package Name: rocs
Short Description: Graph Theory IDE
Owners: than jreznik ltinkl rnovacek rdieter kkofler
Branches: f16
Comment 7 Jon Ciesla 2011-09-26 10:16:07 EDT
Git done (by process-git-requests).
Comment 8 Rex Dieter 2011-09-26 10:30:05 EDT
imported

Note You need to log in before you can comment on or make changes to this bug.